diff --git a/src/main/java/net/minecraft/core/item/PaintBrushItem.java b/src/main/java/net/minecraft/core/item/ItemPaintBrush.java
similarity index 88%
rename from src/main/java/net/minecraft/core/item/PaintBrushItem.java
rename to src/main/java/net/minecraft/core/item/ItemPaintBrush.java
index 90d02620c..5a2468b75 100644
--- a/src/main/java/net/minecraft/core/item/PaintBrushItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemPaintBrush.java
@@ -1,134 +1,133 @@
-package net.minecraft.core.item;
-
-import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.IPaintable;
-import net.minecraft.core.block.IPainted;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.world.World;
-import org.jetbrains.annotations.Nullable;
-
-import java.util.Random;
-
-public class PaintBrushItem extends Item {
-    private static final int DAMAGE_PER_DYE = 8;
-
-    public PaintBrushItem(String translationKey, String namespaceId, int id) {
-        super(translationKey, namespaceId, id);
-        setMaxStackSize(1);
-        setMaxDamage(64);
-    }
-
-    @Override
-    public boolean onUseItemOnBlock(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
-        if (itemstack.getMetadata() >= itemstack.getMaxDamage()) {
-            return false;
-        }
-
-        final int id = world.getBlockId(blockX, blockY, blockZ);
-        final Block block = Block.getBlock(id);
-
-        if (block instanceof IPaintable) {
-            final IPaintable paintable = (IPaintable) block;
-            if (!paintable.canBePainted()) return false;
-            final DyeColor color = getColor(itemstack);
-            if (color != null) {
-                if (paintable instanceof IPainted && ((IPainted)paintable).getColor(world, blockX, blockY, blockZ) == color) {
-                   return false;
-                }
-                paintable.setColor(world, blockX, blockY, blockZ, color);
-                itemstack.damageItem(1, player);
-                return true;
-            }
-        }
-
-        return false;
-    }
-
-    @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
-        int x = blockX + direction.getOffsetX();
-        int y = blockY + direction.getOffsetY();
-        int z = blockZ + direction.getOffsetZ();
-        onUseItemOnBlock(itemStack, null, world, x, y, z, direction.getSide(), 0.5, 0.5);
-    }
-
-    @Override
-    public boolean hasInventoryInteraction() {
-        return true;
-    }
-
-    @Override
-    public ItemStack onInventoryInteract(Player player, Slot slot, ItemStack stackInSlot, boolean isItemGrabbed) {
-        if (isItemGrabbed) {
-            return stackInSlot;
-        }
-
-        final DyeColor currentColor = getColor(stackInSlot);
-        final int dyeCount = getDyeCount(stackInSlot);
-
-        final ItemStack grabbedItem = player.inventory.getHeldItemStack();
-
-        if (grabbedItem != null && grabbedItem.getItem() instanceof DyeItem) {
-            final DyeColor newColor = DyeColor.colorFromItemMeta(grabbedItem.getMetadata());
-            if (currentColor != newColor) {
-                setColor(stackInSlot, newColor);
-                setDyeCount(stackInSlot, DAMAGE_PER_DYE);
-                grabbedItem.stackSize--;
-                if (grabbedItem.stackSize <= 0) {
-                    player.inventory.setHeldItemStack(null);
-                }
-            } else if (dyeCount < getMaxDamage()) {
-                final int newDyeCount = Math.min(dyeCount + DAMAGE_PER_DYE, stackInSlot.getMaxDamage());
-                setDyeCount(stackInSlot, newDyeCount);
-                grabbedItem.stackSize--;
-                if (grabbedItem.stackSize <= 0) {
-                    player.inventory.setHeldItemStack(null);
-                }
-            }
-        }
-
-        return stackInSlot;
-    }
-
-    @Override
-    public boolean showFullDurability() {
-        return true;
-    }
-
-    public int getDyeCount(ItemStack stack) {
-        return stack.getMaxDamage() - stack.getMetadata();
-    }
-
-    public void setDyeCount(ItemStack stack, int count) {
-        stack.setMetadata(stack.getMaxDamage() - count);
-    }
-
-    public DyeColor getColor(ItemStack stack) {
-        CompoundTag tag = stack.getData();
-        if (tag.containsKey("Color")) {
-            final int color = tag.getInteger("Color");
-            if (color < 0) {
-                return null;
-            }
-            return DyeColor.colorFromItemMeta(color & 0x0F);
-        } else {
-            return null;
-        }
-    }
-
-    public void setColor(ItemStack stack, DyeColor color) {
-        CompoundTag tag = stack.getData();
-        if (color == null) {
-            tag.putInt("Color", -1);
-        } else {
-            tag.putInt("Color", color.itemMeta);
-        }
-    }
-}
+package net.minecraft.core.item;
+
+import com.mojang.nbt.CompoundTag;
+import net.minecraft.core.block.Block;
+import net.minecraft.core.block.IPaintable;
+import net.minecraft.core.block.IPainted;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.player.inventory.slot.Slot;
+import net.minecraft.core.util.helper.Direction;
+import net.minecraft.core.util.helper.DyeColor;
+import net.minecraft.core.util.helper.Side;
+import net.minecraft.core.world.World;
+import org.jetbrains.annotations.Nullable;
+
+import java.util.Random;
+
+public class ItemPaintBrush extends Item {
+    private static final int DAMAGE_PER_DYE = 8;
+
+    public ItemPaintBrush(String translationKey, String namespaceId, int id) {
+        super(translationKey, namespaceId, id);
+        setMaxStackSize(1);
+        setMaxDamage(64);
+    }
+
+    @Override
+    public boolean onUseItemOnBlock(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
+        if (itemstack.getMetadata() >= itemstack.getMaxDamage()) {
+            return false;
+        }
+
+        final int id = world.getBlockId(blockX, blockY, blockZ);
+        final Block block = Block.getBlock(id);
+
+        if (block instanceof IPaintable) {
+            final IPaintable paintable = (IPaintable) block;
+            if (!paintable.canBePainted()) return false;
+            final DyeColor color = getColor(itemstack);
+            if (color != null) {
+                if (paintable instanceof IPainted && ((IPainted)paintable).getColor(world, blockX, blockY, blockZ) == color) {
+                   return false;
+                }
+                paintable.setColor(world, blockX, blockY, blockZ, color);
+                itemstack.damageItem(1, player);
+                return true;
+            }
+        }
+
+        return false;
+    }
+
+    @Override
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+        int x = blockX + direction.getOffsetX();
+        int y = blockY + direction.getOffsetY();
+        int z = blockZ + direction.getOffsetZ();
+        onUseItemOnBlock(itemStack, null, world, x, y, z, direction.getSide(), 0.5, 0.5);
+    }
+
+    @Override
+    public boolean hasInventoryInteraction() {
+        return true;
+    }
+
+    @Override
+    public ItemStack onInventoryInteract(Player player, Slot slot, ItemStack stackInSlot, boolean isItemGrabbed) {
+        if (isItemGrabbed) {
+            return stackInSlot;
+        }
+
+        final DyeColor currentColor = getColor(stackInSlot);
+        final int dyeCount = getDyeCount(stackInSlot);
+
+        final ItemStack grabbedItem = player.inventory.getHeldItemStack();
+
+        if (grabbedItem != null && grabbedItem.getItem() instanceof ItemDye) {
+            final DyeColor newColor = DyeColor.colorFromItemMeta(grabbedItem.getMetadata());
+            if (currentColor != newColor) {
+                setColor(stackInSlot, newColor);
+                setDyeCount(stackInSlot, DAMAGE_PER_DYE);
+                grabbedItem.stackSize--;
+                if (grabbedItem.stackSize <= 0) {
+                    player.inventory.setHeldItemStack(null);
+                }
+            } else if (dyeCount < getMaxDamage()) {
+                final int newDyeCount = Math.min(dyeCount + DAMAGE_PER_DYE, stackInSlot.getMaxDamage());
+                setDyeCount(stackInSlot, newDyeCount);
+                grabbedItem.stackSize--;
+                if (grabbedItem.stackSize <= 0) {
+                    player.inventory.setHeldItemStack(null);
+                }
+            }
+        }
+
+        return stackInSlot;
+    }
+
+    @Override
+    public boolean showFullDurability() {
+        return true;
+    }
+
+    public int getDyeCount(ItemStack stack) {
+        return stack.getMaxDamage() - stack.getMetadata();
+    }
+
+    public void setDyeCount(ItemStack stack, int count) {
+        stack.setMetadata(stack.getMaxDamage() - count);
+    }
+
+    public DyeColor getColor(ItemStack stack) {
+        CompoundTag tag = stack.getData();
+        if (tag.containsKey("Color")) {
+            final int color = tag.getInteger("Color");
+            if (color < 0) {
+                return null;
+            }
+            return DyeColor.colorFromItemMeta(color & 0x0F);
+        } else {
+            return null;
+        }
+    }
+
+    public void setColor(ItemStack stack, DyeColor color) {
+        CompoundTag tag = stack.getData();
+        if (color == null) {
+            tag.putInt("Color", -1);
+        } else {
+            tag.putInt("Color", color.itemMeta);
+        }
+    }
+}
diff --git a/src/main/java/net/minecraft/core/item/PaintingItem.java b/src/main/java/net/minecraft/core/item/ItemPainting.java
similarity index 86%
rename from src/main/java/net/minecraft/core/item/PaintingItem.java
rename to src/main/java/net/minecraft/core/item/ItemPainting.java
index 87d05b015..8627381c9 100644
--- a/src/main/java/net/minecraft/core/item/PaintingItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemPainting.java
@@ -2,20 +2,20 @@ package net.minecraft.core.item;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Item, PaintingEntity, World, ItemStack,
+//            Item, EntityPainting, World, ItemStack,
 //            Player
 
-import net.minecraft.core.entity.PaintingEntity;
+import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class PaintingItem extends Item
+public class ItemPainting extends Item
 {
 
-    public PaintingItem(String name, String namespaceId, int id)
+    public ItemPainting(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
     }
@@ -56,7 +56,7 @@ public class PaintingItem extends Item
         {
             direction = 3;
         }
-        PaintingEntity entity = new PaintingEntity(world, blockX, blockY, blockZ, direction, entityplayer.getSelectedArt().key);
+        EntityPainting entity = new EntityPainting(world, blockX, blockY, blockZ, direction, entityplayer.getSelectedArt().key);
         if(entity.canStay())
         {
             if(!world.isClientSide)
diff --git a/src/main/java/net/minecraft/core/item/PebbleItem.java b/src/main/java/net/minecraft/core/item/ItemPebble.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/PebbleItem.java
rename to src/main/java/net/minecraft/core/item/ItemPebble.java
index d9b388706..4fa0a2ffa 100644
--- a/src/main/java/net/minecraft/core/item/PebbleItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemPebble.java
@@ -2,10 +2,10 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.PebbleProjectile;
+import net.minecraft.core.entity.projectile.ProjectilePebble;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
@@ -14,10 +14,10 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class PebbleItem extends Item implements IDispensable
+public class ItemPebble extends Item implements IDispensable
 {
 
-    public PebbleItem(String name, String namespaceId, int id)
+    public ItemPebble(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 64;
@@ -32,7 +32,7 @@ public class PebbleItem extends Item implements IDispensable
         world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
         if(!world.isClientSide)
         {
-            world.entityJoinedWorld(new PebbleProjectile(world, entityplayer));
+            world.entityJoinedWorld(new ProjectilePebble(world, entityplayer));
         }
         return itemstack;
     }
@@ -124,17 +124,17 @@ public class PebbleItem extends Item implements IDispensable
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
-        PebbleProjectile pebbleProjectile = new PebbleProjectile(world, blockX + offX, blockY + offY, blockZ + offZ);
-        pebbleProjectile.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
-        world.entityJoinedWorld(pebbleProjectile);
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+        ProjectilePebble projectilePebble = new ProjectilePebble(world, blockX + offX, blockY + offY, blockZ + offZ);
+        projectilePebble.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
+        world.entityJoinedWorld(projectilePebble);
         itemStack.stackSize -= 1;
     }
 
     @Override
     public void onDispensed(ItemStack itemStack, World world, double x, double y, double z, int xOffset, int yOffset, int zOffset, Random random) {
-        PebbleProjectile pebbleProjectile = new PebbleProjectile(world, x, y, z);
-        pebbleProjectile.setHeading(xOffset, yOffset + 0.1D, zOffset, 1.1F, 6F);
-        world.entityJoinedWorld(pebbleProjectile);
+        ProjectilePebble projectilePebble = new ProjectilePebble(world, x, y, z);
+        projectilePebble.setHeading(xOffset, yOffset + 0.1D, zOffset, 1.1F, 6F);
+        world.entityJoinedWorld(projectilePebble);
     }
 }
diff --git a/src/main/java/net/minecraft/core/item/PlaceableItem.java b/src/main/java/net/minecraft/core/item/ItemPlaceable.java
similarity index 83%
rename from src/main/java/net/minecraft/core/item/PlaceableItem.java
rename to src/main/java/net/minecraft/core/item/ItemPlaceable.java
index 3ee386dbe..9ca22a495 100644
--- a/src/main/java/net/minecraft/core/item/PlaceableItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemPlaceable.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
@@ -12,11 +12,11 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-public class PlaceableItem extends Item {
+public class ItemPlaceable extends Item {
 	
 	public Block blockToPlace;
 	
-	public PlaceableItem(String name, String namespaceId, int id, Block blockToPlace) {
+	public ItemPlaceable(String name, String namespaceId, int id, Block blockToPlace) {
 		super(name, namespaceId, id);
 		
 		this.blockToPlace = blockToPlace;
@@ -51,7 +51,7 @@ public class PlaceableItem extends Item {
 	}
 
 	@Override
-	public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+	public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
 		int x = blockX + direction.getOffsetX();
 		int y = blockY + direction.getOffsetY();
 		int z = blockZ + direction.getOffsetZ();
diff --git a/src/main/java/net/minecraft/core/item/QuiverItem.java b/src/main/java/net/minecraft/core/item/ItemQuiver.java
similarity index 96%
rename from src/main/java/net/minecraft/core/item/QuiverItem.java
rename to src/main/java/net/minecraft/core/item/ItemQuiver.java
index 202b81b0c..94556b506 100644
--- a/src/main/java/net/minecraft/core/item/QuiverItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemQuiver.java
@@ -9,10 +9,10 @@ import org.jetbrains.annotations.Nullable;
 //            Item, Block, BlockLeaves, ItemStack,
 //            Mob
 
-public class QuiverItem extends Item implements IArmorItem
+public class ItemQuiver extends Item implements IArmorItem
 {
 
-    public QuiverItem(String name, String namespaceId, int id)
+    public ItemQuiver(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxStackSize(1);
diff --git a/src/main/java/net/minecraft/core/item/EndlessQuiverItem.java b/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
similarity index 78%
rename from src/main/java/net/minecraft/core/item/EndlessQuiverItem.java
rename to src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
index 544739e60..2987ddb3a 100644
--- a/src/main/java/net/minecraft/core/item/EndlessQuiverItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
@@ -8,10 +8,10 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.item.material.ArmorMaterial;
 
-public class EndlessQuiverItem extends Item implements IArmorItem
+public class ItemQuiverEndless extends Item implements IArmorItem
 {
 
-    public EndlessQuiverItem(String name, String namespaceId, int id)
+    public ItemQuiverEndless(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxStackSize(1);
diff --git a/src/main/java/net/minecraft/core/item/RopeItem.java b/src/main/java/net/minecraft/core/item/ItemRope.java
similarity index 91%
rename from src/main/java/net/minecraft/core/item/RopeItem.java
rename to src/main/java/net/minecraft/core/item/ItemRope.java
index 24047207b..0cb154f31 100644
--- a/src/main/java/net/minecraft/core/item/RopeItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemRope.java
@@ -1,15 +1,15 @@
 package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RopeBlock;
+import net.minecraft.core.block.BlockRope;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class RopeItem extends PlaceableItem {
-    public RopeItem(String name, String namespaceId, int id, Block blockToPlace) {
+public class ItemRope extends ItemPlaceable {
+    public ItemRope(String name, String namespaceId, int id, Block blockToPlace) {
         super(name, namespaceId, id, blockToPlace);
     }
     @Override
@@ -44,7 +44,7 @@ public class RopeItem extends PlaceableItem {
             return false;
         }
         if(world.canBlockBePlacedAt(blockToPlace.id, blockX, blockY, blockZ, false, side) && stack.consumeItem(player)) {
-            if(world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockToPlace.id, placeOnSide ? RopeBlock.MASK_ROPE_CONNECT : 0)) {
+            if(world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockToPlace.id, placeOnSide ? BlockRope.MASK_ROPE_CONNECT : 0)) {
                 if (player == null) {
                     blockToPlace.onBlockPlacedOnSide(world, blockX, blockY, blockZ, side, xPlaced, yPlaced);
                 } else {
diff --git a/src/main/java/net/minecraft/core/item/SaddleItem.java b/src/main/java/net/minecraft/core/item/ItemSaddle.java
similarity index 65%
rename from src/main/java/net/minecraft/core/item/SaddleItem.java
rename to src/main/java/net/minecraft/core/item/ItemSaddle.java
index b7642c4b1..5e94a48bc 100644
--- a/src/main/java/net/minecraft/core/item/SaddleItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemSaddle.java
@@ -2,16 +2,16 @@ package net.minecraft.core.item;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Item, PigMob, ItemStack, Mob
+//            Item, MobPig, ItemStack, Mob
 
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.PigMob;
+import net.minecraft.core.entity.animal.MobPig;
 import net.minecraft.core.entity.player.Player;
 
-public class SaddleItem extends Item
+public class ItemSaddle extends Item
 {
 
-    public SaddleItem(String name, String namespaceId, int id)
+    public ItemSaddle(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -20,9 +20,9 @@ public class SaddleItem extends Item
     @Override
     public boolean useItemOnEntity(ItemStack itemstack, Mob entityliving, Player entityPlayer)
     {
-        if(entityliving instanceof PigMob && itemstack.consumeItem(entityPlayer))
+        if(entityliving instanceof MobPig && itemstack.consumeItem(entityPlayer))
         {
-            PigMob entitypig = (PigMob)entityliving;
+            MobPig entitypig = (MobPig)entityliving;
             if(!entitypig.getSaddled())
             {
                 entitypig.setSaddled(true);
diff --git a/src/main/java/net/minecraft/core/item/SeedsItem.java b/src/main/java/net/minecraft/core/item/ItemSeeds.java
similarity index 81%
rename from src/main/java/net/minecraft/core/item/SeedsItem.java
rename to src/main/java/net/minecraft/core/item/ItemSeeds.java
index 1813b320b..981f2392a 100644
--- a/src/main/java/net/minecraft/core/item/SeedsItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemSeeds.java
@@ -3,7 +3,7 @@ package net.minecraft.core.item;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
@@ -13,10 +13,10 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class SeedsItem extends Item {
+public class ItemSeeds extends Item {
 	private int cropsId;
 
-	public SeedsItem(String name, String namespaceId, int id, Block cropsBlock) {
+	public ItemSeeds(String name, String namespaceId, int id, Block cropsBlock) {
 		super(name, namespaceId, id);
 		cropsId = cropsBlock.id;
 	}
@@ -38,7 +38,7 @@ public class SeedsItem extends Item {
 		return false;
 	}
 	@Override
-	public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+	public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
 		int x = blockX + direction.getOffsetX();
 		int y = blockY + direction.getOffsetY();
 		int z = blockZ + direction.getOffsetZ();
diff --git a/src/main/java/net/minecraft/core/item/SignItem.java b/src/main/java/net/minecraft/core/item/ItemSign.java
similarity index 87%
rename from src/main/java/net/minecraft/core/item/SignItem.java
rename to src/main/java/net/minecraft/core/item/ItemSign.java
index da58ccc12..f90ddfdbe 100644
--- a/src/main/java/net/minecraft/core/item/SignItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemSign.java
@@ -2,11 +2,11 @@ package net.minecraft.core.item;
 
 
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntitySign;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, World, Material, Block, 
-//            Player, MathHelper, ItemStack, SignBlockEntity
+//            Player, MathHelper, ItemStack, TileEntitySign
 
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
@@ -14,10 +14,10 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class SignItem extends Item
+public class ItemSign extends Item
 {
 
-    public SignItem(String name, String namespaceId, int id)
+    public ItemSign(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
     }
@@ -57,7 +57,7 @@ public class SignItem extends Item
             world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, Blocks.SIGN_WALL_PLANKS_OAK.id, sideHit);
         }
         itemstack.consumeItem(entityplayer);
-        SignBlockEntity tileentitysign = (SignBlockEntity)world.getBlockEntity(blockX, blockY, blockZ);
+        TileEntitySign tileentitysign = (TileEntitySign)world.getBlockEntity(blockX, blockY, blockZ);
         if(tileentitysign != null)
         {
             tileentitysign.setOwner(entityplayer);
diff --git a/src/main/java/net/minecraft/core/item/SnowballItem.java b/src/main/java/net/minecraft/core/item/ItemSnowball.java
similarity index 56%
rename from src/main/java/net/minecraft/core/item/SnowballItem.java
rename to src/main/java/net/minecraft/core/item/ItemSnowball.java
index e5f7028c0..b689064ad 100644
--- a/src/main/java/net/minecraft/core/item/SnowballItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemSnowball.java
@@ -1,17 +1,17 @@
 package net.minecraft.core.item;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.SnowballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileSnowball;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class SnowballItem extends Item implements IDispensable
+public class ItemSnowball extends Item implements IDispensable
 {
 
-    public SnowballItem(String name, String namespaceId, int id)
+    public ItemSnowball(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 64;
@@ -24,22 +24,22 @@ public class SnowballItem extends Item implements IDispensable
         world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
         if(!world.isClientSide)
         {
-            world.entityJoinedWorld(new SnowballProjectile(world, entityplayer));
+            world.entityJoinedWorld(new ProjectileSnowball(world, entityplayer));
         }
         return itemstack;
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
-        SnowballProjectile snowballProjectile = new SnowballProjectile(world, blockX + offX, blockY + offY, blockZ + offZ);
-        snowballProjectile.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
-        world.entityJoinedWorld(snowballProjectile);
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+        ProjectileSnowball projectileSnowball = new ProjectileSnowball(world, blockX + offX, blockY + offY, blockZ + offZ);
+        projectileSnowball.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
+        world.entityJoinedWorld(projectileSnowball);
         itemStack.stackSize -= 1;
     }
 
     @Override
     public void onDispensed(ItemStack itemStack, World world, double x, double y, double z, int xOffset, int yOffset, int zOffset, Random random) {
-        SnowballProjectile entitysnowball = new SnowballProjectile(world, x, y, z);
+        ProjectileSnowball entitysnowball = new ProjectileSnowball(world, x, y, z);
         entitysnowball.setHeading(xOffset, yOffset + 0.1D, zOffset, 1.1F, 6F);
         world.entityJoinedWorld(entitysnowball);
     }
diff --git a/src/main/java/net/minecraft/core/item/SoupItem.java b/src/main/java/net/minecraft/core/item/ItemSoup.java
similarity index 83%
rename from src/main/java/net/minecraft/core/item/SoupItem.java
rename to src/main/java/net/minecraft/core/item/ItemSoup.java
index fe16aa866..f15fda846 100644
--- a/src/main/java/net/minecraft/core/item/SoupItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemSoup.java
@@ -3,10 +3,10 @@ package net.minecraft.core.item;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class SoupItem extends FoodItem
+public class ItemSoup extends ItemFood
 {
 
-    public SoupItem(String name, String namespaceId, int id, int healAmount, int ticksPerHeal)
+    public ItemSoup(String name, String namespaceId, int id, int healAmount, int ticksPerHeal)
     {
         super(name, namespaceId, id, healAmount, ticksPerHeal, false, 1);
     }
